/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import React from 'react';
import { shallow, mount } from 'enzyme';
import { StyledRoot, StyledNavigationList, StyledNavigationItem, ALIGN } from '../index.js';
describe('Header Navigation styled components', function () {
  describe('StyledRoot', function () {
    test('Root', function () {
      var component = shallow(React.createElement(StyledRoot, null, React.createElement("div", null)));
      expect(component.instance().getStyles()).toMatchSnapshot('StyledRoot has correct styles');
    });
  });
  describe('NavigationList', function () {
    test('NavigationList', function () {
      var component = mount(React.createElement(StyledNavigationList, null, React.createElement("div", null)));
      Object.values(ALIGN).forEach(function (align) {
        component.setProps({
          align: align
        });
        expect(component.instance().getStyles()).toMatchSnapshot( // $FlowFixMe
        "NavigationList has correct styles when set to align ".concat(align));
      });
    });
  });
  describe('NavigationItem', function () {
    test('NavigationItem', function () {
      var component = shallow(React.createElement(StyledNavigationItem, null, React.createElement("div", null)));
      expect(component.instance().getStyles()).toMatchSnapshot('NavigationItem has correct styles');
    });
  });
});